# master-nodeの設定ファイル
# 必要なこと
# 1.シェルスクリプトを実行するためにファイルをコピー
# 2. install_docker
# 3. master nodeの設定(k3sのinstall, tokenの取得)

- hosts: master-server
  user: ubuntu
  become: yes
  tasks:
    - name: copy with many files
      copy: src=./files dest=/home/files

    - name: do install_docker.sh
      command: ./files/install_docker.sh

    - name: manage master node
      command: curl -sfL https://get.k3s.io | sh -

    - name: get token
      command: cat /var/lib/rancher/k3s/server/node-token
